routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::prefix('api')->group(function () {

    Route::get('/categories', 'Backend\CategoryController@apiIndex');
    Route::post('/categories/attribute', 'Backend\CategoryController@apiIndexAttribute');
    Route::get('/cities/{provinceId}', 'Auth\RegisterController@getAllCities');
    Route::get('/products/{id}/', 'Frontend\ProductController@apiGetProduct');
    Route::get('/sort-products/{id}/{sort}/{paginate}', 'Frontend\ProductController@apiGetSortedProduct');
    Route::get('/categories-attribute/{id}', 'Frontend\ProductController@apiGetCategoryAttributes');
    Route::get('/filter-products/{id}/{sort}/{paginate}/{attributes}', 'Frontend\ProductController@apiGetFilterProducts');

});

Auth::routes(['verify'=>true]);



Route::get('/verify','VerifyController@getVerify')->name('getVerify');
Route::post('/verify','VerifyController@postVerify')->name('verify');
Route::post('/send-verify','VerifyController@reSendVerify')->name('sendVerify');


Route::get('/home', 'HomeController@index')->name('home');
Route::get('logout', '\App\Http\Controllers\Auth\LoginController@logout');

Route::prefix('administrator')->middleware(['auth','isAdmin:مدیر'])->group(function (){
    Route::get('/dashboard','Backend\DashboardController@index');
    Route::get('/news','FrontEnd\AboutController@index')->name('news.index');
    Route::resource('/brands','Backend\BrandController');
    Route::resource('/posts','Backend\PostController');
    Route::resource('/roles','Backend\RoleController');
    Route::resource('/photos','Backend\PhotoController');
    Route::post('/photos/upload','Backend\PhotoController@upload')->name('photos.upload');
    Route::resource('/vendors','Backend\VendorController');
    Route::resource('/shops','Backend\ShopController');
    Route::resource('/categories','Backend\CategoryController');
    Route::resource('/attributes-group','Backend\AttributeGroupController');
    Route::resource('/attributes-value','Backend\AttributeValueController');
    Route::resource('/users','Backend\UserController');
    Route::resource('/profiles','Backend\ProfileController');
    Route::resource('/roles-user','Backend\RoleUserController');
    Route::resource('/coupons','Backend\CouponController');
    Route::resource('/sms-panel','Backend\SmsPanelController');
    Route::resource('/products','Backend\ProductController');
    Route::resource('/banks','Backend\BankController');
    Route::resource('/shops','Backend\ShopController');
    Route::resource('/city','Backend\CityController');
    Route::resource('/province','Backend\ProvinceController');
    Route::resource('/vendors','Backend\VendorController');
    Route::resource('/contacts','Backend\ContactController');
    Route::get('/categories/{id}/settings', 'Backend\CategoryController@indexSetting')->name('categories.indexSetting');
    Route::post('/categories/{id}/settings', 'Backend\CategoryController@saveSetting');
    Route::get('/orders', 'Backend\OrderController@index')->name('order.index');
    Route::get('/orders/lists/{id}', 'Backend\OrderController@getOrderLists')->name('orders.lists');

});

Route::get('/products','FrontEnd\ProductController@index');
Route::get('/products/{slug}','FrontEnd\ProductController@show')->name('product.show');
Route::get('/welcome','FrontEnd\IndexController@index');
Route::get('/','FrontEnd\IndexController@index');
Route::get('/categories/{id}','FrontEnd\CategoryController@show');
Route::post('/search','FrontEnd\SearchController@index');
Route::get('/add-to-cart/{id}', 'FrontEnd\CartController@addToCart')->name('cart.add');
Route::post('/remove-item/{id}', 'FrontEnd\CartController@removeItem')->name('cart.remove');
Route::get('/cart', 'FrontEnd\CartController@getCart')->name('cart.cart');
Auth::routes();

Route::group(['middleware'=>'auth'],function(){
    Route::post('/coupon', 'FrontEnd\CouponController@addCoupon')->name('coupon.add');
    Route::post('/posts', 'FrontEnd\PostController@store')->name('post.store');
    Route::get('/order-verify', 'FrontEnd\OrderController@verify')->name('order.verify');
    Route::get('/payment-verify/{id}', 'FrontEnd\PaymentController@verify')->name('payment.verify');
    Route::get('/profile', 'FrontEnd\UserController@profile')->name('user.profile');
    Route::get('/profile-edit/{id}', 'FrontEnd\UserController@edit')->name('profile.edit');
    Route::put('/profile-update/{id}', 'FrontEnd\UserController@update')->name('profile.updates');
    Route::get('/orders', 'FrontEnd\OrderController@index')->name('profile.orders');
    Route::get('/orders/lists/{id}', 'FrontEnd\OrderController@getOrderLists')->name('profile.orders.lists');
    Route::post('/add-city','FrontEnd\UserController@locations')->name('add.city');
    Route::resource('/addresses','FrontEnd\AddressController');
    Route::post('/photos/upload','Backend\PhotoController@upload')->name('photos.upload');
});

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/mobile/reset', 'Auth\MobileResetController@index')->name('mobile.reset');
Route::post('/send/code', 'Auth\MobileResetController@sendCodePass')->name('send.code');
Route::post('/change/code','Auth\MobileResetController@changePassword')->name('change.code');
Route::get('/mobile/change', 'Auth\MobileResetController@getMobile')->name('mobile.change');

Route::get('/contact-me','FrontEnd\AboutController@contact')->name('contact.me');
Route::post('/contact-save','FrontEnd\AboutController@contactSave')->name('contact.save');
Route::post('/email-save','FrontEnd\AboutController@news')->name('email.save');
Route::get('/about-me','FrontEnd\AboutController@about')->name('about.me');

app/Category.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Category extends Model
{
    public function children()
    {
        return $this->hasMany(Category::class,'parent_id');
    }

    public function childrenRecursive()
    {
        return $this->children()->with('childrenRecursive');
    }
    public function products()
    {
        return $this->belongsToMany(Product::class);
    }

    public function attributeGroups()
    {
        return $this->belongsToMany(AttributeGroup::class, 'attributegroup_category', 'category_id', 'attributeGroup_id');
    }

    public function photo()
    {
        return $this->belongsTo(Photo::class);
    }
}

app/Photo.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Photo extends Model
{
    protected $uploads='/uploads/photos/';

    public function getPathAttribute($photo)
    {
        return $this->uploads.$photo;
    }

    public function user()
    {
        return $this->hasOne(User::class);
    }
    public function category()
    {
        return $this->belongsTo(Category::class);
    }
    public function brand()
    {
        return $this->hasOne(Brand::class);
    }
    public function bank()
    {
        return $this->hasOne(Bank::class);
    }
    public function shops()
    {
        return $this->belongsToMany(Shop::class,'photo_shop','shop_id','photo_id');
    }

    public function products()
    {
        return $this->belongsToMany(Product::class);
    }
}

app/Http/Controllers/Backend/CategoryController.php
<?php

namespace App\Http\Controllers\Backend;

use App\AttributeGroup;
use App\Category;
use App\Http\Controllers\Controller;
use App\Http\Requests\CategoryRequest;
use App\Photo;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session;

class CategoryController extends Controller
{
    public function index()
    {
        $photo_profile=User::findOrFail(Auth::user()->id);
        $user=Photo::where('id',$photo_profile->photo_id)->first();

        $categories = Category::with('childrenRecursive')
            ->where('parent_id', null)
            ->paginate(10);
        return view('admin.categories.index', compact(['categories','user']));
    }


    public function create()
    {
        $photo_profile=User::findOrFail(Auth::user()->id);
        $user=Photo::where('id',$photo_profile->photo_id)->first();
        $categories = Category::with('childrenRecursive')
        ->where('parent_id', null)
        ->get();

        return view('admin.categories.create', compact(['categories','user']));
    }


    public function store(CategoryRequest $request)
    {

        $category = new Category();
        $category->name  = $request->input('name');
        $category->parent_id  = $request->input('category_parent');
        $category->meta_title = $request->input('meta_title');
        $category->meta_desc = $request->input('meta_desc');
        $category->meta_keywords = $request->input('meta_keywords');
        $category->photo_id = $request->input('photo_id');
        $category->save();

        Session::flash('success', 'دسته بندی '.$category->name.' با موفقیت اضافه شد');
        return redirect()->route('categories.index');
    }

    public function show($id)
    {

    }


    public function edit($id)
    {
        $photo_profile=User::findOrFail(Auth::user()->id);
        $user=Photo::where('id',$photo_profile->photo_id)->first();
        $categories = Category::with('childrenRecursive')
            ->where('parent_id', null)
            ->get();
        $category = Category::findOrFail($id);
        return view('admin.categories.edit', ['categories'=> $categories, 'category'=>$category,'user'=>$user]);

    }

    public function update(Request $request, $id)
    {
        $this->validate($request,[
            'name'=>'required|min:4|unique:categories,name,'.$id ,
            'meta_desc'=>'required|min:20',
            'meta_title'=>'required|min:6',
            'meta_keywords'=>'required|min:10',
        ],[

            'name.unique'=>'نام دسته قبلا ثبت شده است',
            'name.required'=>'نام دسته را وارد کنید',
            'name.min'=>'نام دسته نباید کمتر از 4 حرف باشد',
            'meta_desc.required'=>'توضیحات سئو نباید خالی باشد',
            'meta_desc.min'=>'توضیحات سئو نباید کمتر از 20 حرف باشد',
            'meta_title.required'=>'عنوان سئو نباید خالی باشد',
            'meta_title.min'=>'عنوان سئو نباید کمتر از 6 حرف باشد',
            'meta_keywords.required'=>'کلمات کلید سئو نباید خالی باشد',
            'meta_keywords.min'=>'کلمات کلید سئو نباید کمتر از 10 حرف باشد',
        ]);
        $category = Category::findOrFail($id);
        $category->name  = $request->input('name');
        $category->parent_id  = $request->input('category_parent');
        $category->meta_title = $request->input('meta_title');
        $category->meta_desc = $request->input('meta_desc');
        $category->meta_keywords = $request->input('meta_keywords');
        $category->photo_id = $request->input('photo_id');
        $category->save();

        Session::flash('success', 'دسته بندی '.$category->name.' با موفقیت بروز رسانی شد.');
        return redirect()->route('categories.index');
    }

    public function destroy($id)
    {
        $category = Category::with('childrenRecursive')->where('id', $id)->first();
        if(count($category->childrenRecursive)>0){
            Session::flash('delete_method', 'دسته بندی '.$category->name.' دارای زیر دسته است. بنابراین حذف آن امکان پذیر نمی باشد.');
            return redirect()->route('categories.index');
        }
        $category->delete();
        Session::flash('delete_method', 'دسته بندی '.$category->name.' با موفقیت حذف شد.');
        return redirect()->route('categories.index');
    }
    public function indexSetting($id)
    {
        $photo_profile=User::findOrFail(Auth::user()->id);
        $user=Photo::where('id',$photo_profile->photo_id)->first();
        $category = Category::findOrFail($id);
        $attributeGroups = AttributeGroup::all();
        return view('admin.categories.index-setting', compact(['category', 'attributeGroups','user']));
    }

    public function saveSetting(Request $request, $id)
    {

        $category = Category::findOrFail($id);
        $category->attributeGroups()->sync($request->attributeGroups);
        $category->save();
        Session::flash('success', 'دسته بندی '.$category->name.' با موفقیت به ویژگیها اضافه شد.');
        return redirect()->to('/administrator/categories');
    }

    public function apiIndex()
    {
        $categories = Category::with('childrenRecursive')
            ->where('parent_id', null)
            ->get();

        $response =[
            'categories' => $categories
        ];
        return response()->json($response, 200);
    }
    public function apiIndexAttribute(Request $request)
    {
        $categories = $request->all();
        $attributeGroup = AttributeGroup::with('attributesValue', 'categories')
            ->whereHas('categories', function($q) use ($categories){
                $q->whereIn('categories.id', $categories);
            })->get();
        $response =[
            'attributes' => $attributeGroup
        ];
        return response()->json($response, 200);
    }
}

app/Http/Controllers/FrontEnd/CategoryController.php
<?php

namespace App\Http\Controllers\FrontEnd;

use App\Category;
use App\City;
use App\Http\Controllers\Controller;
use App\Photo;
use App\Product;
use App\Province;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class CategoryController extends Controller
{
    public function show($id)
    {
        $province=Province::all();
        $cities=City::all();
        $categories=Category::with('childrenRecursive')
        ->where('parent_id', null)->get();
        $lists=Category::where('parent_id',null)->get();
         $list=Category::findOrFail($id);
        $products=Product::with('photos','attributeValues.attributeGroup','brand','categories')->inRandomOrder()->take(40)->where('status',1)->get();
         if (Auth::check()){
             $user=User::where('id',Auth::user()->id)->first();
             $photo=Photo::where('id',$user->photo_id)->first();
             return view('frontend.categories.show',['products'=>$products,'categories'=>$categories,'list'=>$list ,'lists'=>$lists,'user'=>$user,'photo'=>$photo,'province'=>$province,'cities'=>$cities]);

         }
         else{
             return view('frontend.categories.show',['products'=>$products,'categories'=>$categories,'list'=>$list ,'lists'=>$lists,'province'=>$province,'cities'=>$cities]);
         }

      //  $lists=Category::where('parent_id',null)->get();
     //   return view('frontend.categories.show',['categories'=>$categories,'lists'=>$lists]);
    }
}

resources/views/admin/categories/create.blade.php
@extends('admin.layouts.master')

@section('title')
   ایجاد دسته
@endsection

@section('style')

    <link rel="stylesheet" href="{{asset('backend/css/dropzone.min.css')}}">

@endsection

@section('content')

    <div class="container-fluid">
        <div class="alert alert-secondary d-block p-1 m-0 shadow">
            <div class="pr-1">
                <span><a class="span-link text-muted" href="{{url('/administrator/dashboard')}}">داشبورد</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/products')}}">محصولات</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/categories')}}">دسته بندی ها</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{route('categories.create')}}">ایجاد دسته بندی جدید جدید</a></span>
            </div>
        </div>
        <br>


        <div class="h4 text-center mb-4">
            <span class="text-center">ایجاد دسته بندی جدید </span>
        </div>
        <div class="col-8 m-auto ">

           @include('admin.partials.form-errors')


            <form action="{{route('categories.store')}}" method="POST">
                @csrf
                <div class="form-group d-block">
                    <label for="name"> نام دسته <span class="text-danger font-size-22 font-weight-bold">*</span></label>
                    <input type="text" class="form-control form-control-lg" id="name" name="name" placeholder="نام دسته را وارد کنید...">
                </div>

                <div class="form-group">
                    <label for="category_parent">دسته والد</label>
                    <select name="category_parent" id="category_parent" class="form-control">
                        <option value="">بدون والد</option>
                        @foreach($categories as $category)
                            <option value="{{$category->id}}">{{$category->name}}</option>
                            @if(count($category->childrenRecursive) > 0)
                                @include('admin.partials.category', ['categories'=>$category->childrenRecursive, 'level'=>1])
                            @endif
                        @endforeach
                    </select>
                </div>
                
                <div class="form-group">
                    <label for="photo_id">عکس دسته بندی</label>
                    <input type="hidden" name="photo_id" id="photo_id" value="">
                    <div id="photo" class="dropzone"></div>
                </div>

                <div class="form-group d-block">
                    <label for="meta_title"> عنوان سئو <span class="text-danger font-size-22 font-weight-bold">*</span></label>
                    <input type="text" class="form-control form-control-lg" id="meta_title" name="meta_title" placeholder="عنوان متای دسته را وارد کنید...">
                </div>
                <div class="form-group d-block">
                    <label for="meta_description"> توضیحات سئو  <span class="text-danger font-size-22 font-weight-bold">*</span></label>
                    <textarea  class="form-control form-control-lg" id="meta_desc" name="meta_desc" placeholder="توضیحات متای صفحه دسته را وارد کنید..."></textarea>
                </div>
                <div class="form-group d-block">
                    <label for="meta_keywords"> کلمات کلیدی سئو <span class="text-danger font-size-22 font-weight-bold">*</span></label>
                    <input type="text" class="form-control form-control-lg" id="meta_keywords" name="meta_keywords" placeholder="کلمات کلیدی دسته را وارد کنید...">
                </div>

                <button type="submit" class="btn btn-info btn-block">ذخیره اطلاعات</button>
            </form>
        </div>
    </div>
@endsection

@section('script')
    <script type="text/javascript" src="{{asset('backend/js/dropzone.min.js')}}"></script>

    <script>
        Dropzone.autoDiscover=false;
        var photosGallery = []
        var drop = new Dropzone('#photo',{
            addRemoveLinks:true,
            maxFiles :1,
            url:"{{route('photos.upload')}}",
            sending:function(file,xhr,formData){
                formData.append("_token","{{csrf_token()}}")
            },
            success:function(file,response){
                document.getElementById('photo_id').value = response.photo_id
                //photosGallery.push(response.photo_id)
            }
        });
        // brandGallery =function(){
        //    document.getElementById('photo_id').value=photosGallery
        //}


    </script>
@endsection

resources/views/admin/categories/edit.blade.php
@extends('admin.layouts.master')

@section('title')
    ویرایش دسته
@endsection

@section('style')
    <link rel="stylesheet" href="{{asset('backend/css/dropzone.min.css')}}">
@endsection

@section('content')

    <div class="container-fluid">
        <div class="alert alert-secondary d-block p-1 m-0 shadow">
            <div class="pr-1">
                <span><a class="span-link text-muted" href="{{url('/administrator/dashboard')}}">داشبورد</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/products')}}">محصولات</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/categories')}}">دسته بندی ها</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{route('categories.edit',$category->id)}}">ویرایش دسته بندی</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{route('categories.edit',$category->id)}}">{{$category->name}}</a></span>
            </div>
        </div>
        <br>
        <div class="h4 text-center mb-4">
            <span class="text-center">ویرایش دسته {{$category->name}} </span>
        </div>
        <div class="col-8 m-auto ">

            @include('admin.partials.form-errors')


            <form action="{{route('categories.update',$category->id)}}" method="POST">
                @csrf
                {{method_field('PATCH')}}
                @if($category->photo_id)
                <div class="text-center">
                    <img src="{{$category->photo->path}}" width="120" height="150" alt="">
                </div>
                @endif
                <div class="form-group d-block">
                    <label for="name"> نام دسته <span class="text-danger font-size-22 font-weight-bold">*</span></label>
                    <input type="text" value="{{$category->name}}" class="form-control form-control-lg" id="name" name="name" placeholder="نام دسته را وارد کنید...">
                </div>
                <div class="form-group">
                    <label for="category_parent">دسته والد</label>
                    <select name="category_parent" id="" class="form-control">
                        <option value="">بدون والد</option>
                        @foreach($categories as $category_data)
                            <option value="{{$category_data->id}}" @if($category->parent_id == $category_data->id) selected @endif>{{$category_data->name}}</option>
                            @if(count($category_data->childrenRecursive) > 0)
                                @include('admin.partials.category', ['categories'=>$category_data->childrenRecursive, 'level'=>1, 'selected_category'=>$category])
                            @endif
                        @endforeach
                    </select>
                </div>

                <div class="form-group">
                    <label for="photo_id">عکس دسته بندی</label>
                    <input type="hidden" name="photo_id" id="photo_id" value="{{$category->photo_id}}">
                    <div id="photo" class="dropzone">
                    </div>
                </div>

                <div class="form-group d-block">
                    <label for="meta_title"> عنوان متا <span class="text-danger font-size-22 font-weight-bold">*</span></label>
                    <input type="text" value="{{$category->meta_title}}" class="form-control form-control-lg" id="meta_title" name="meta_title" placeholder="عنوان متای دسته را وارد کنید...">
                </div>
                <div class="form-group d-block">
                    <label for="meta_desc"> توضیحات متا  <span class="text-danger font-size-22 font-weight-bold">*</span></label>
                    <textarea  class="form-control form-control-lg" id="meta_desc" name="meta_desc" placeholder="توضیحات متای صفحه دسته را وارد کنید...">{{$category->meta_desc}}</textarea>
                </div>
                <div class="form-group d-block">
                    <label for="meta_keywords"> کلمات کلیدی <span class="text-danger font-size-22 font-weight-bold">*</span></label>
                    <input type="text" value="{{$category->meta_keywords}}" class="form-control form-control-lg" id="meta_keywords" name="meta_keywords" placeholder="کلمات کلیدی دسته را وارد کنید...">
                </div>

                <button type="submit" class="btn btn-info btn-block">ذخیره اطلاعات</button>
            </form>
        </div>
    </div>
@endsection

@section('script')

    <script type="text/javascript" src="{{asset('backend/js/dropzone.min.js')}}"></script>

    <script>
        Dropzone.autoDiscover=false;
        var drop = new Dropzone('#photo', {
            addRemoveLinks: true,
            maxFiles: 1,
            url: "{{ route('photos.upload') }}",
            sending: function(file, xhr, formData){
                formData.append("_token","{{csrf_token()}}")
            },
            success: function(file, response){
                document.getElementById('photo_id').value = response.photo_id
            }
        });

    </script>
@endsection

resources/views/admin/categories/index-setting.blade.php
@extends('admin.layouts.master')

@section('title')
 تعیین ویژگی دسته بندی ها
@endsection

@section('content')
    <section class="content">
        <div class="alert alert-secondary d-block p-1 m-0 shadow">
            <div class="pr-1">
                <span><a class="span-link text-muted" href="{{url('/administrator/dashboard')}}">داشبورد</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/products')}}">محصولات</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{url('/administrator/categories')}}">دسته بندی ها</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{route('categories.edit',$category->id)}}">ویرایش دسته بندی</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{route('categories.indexSetting', $category->id)}}">تنظیمات دسته بندی</a></span><span class="font-size-25 text-muted">/</span>
                <span><a class="span-link text-muted" href="{{route('categories.indexSetting', $category->id)}}">{{$category->name}}</a></span>
            </div>
        </div>
        <br>
            <div class="border-bottom pb-3">
                <h3 class="text-center">تعیین ویژگی دسته بندی {{$category->name}}</h3>
            </div>
                <div class="row">
                    <div class="col-md-8 m-auto pt-3 d-block">
                        @include('admin.partials.form-errors')

                        <form method="post" action="/administrator/categories/{{$category->id}}/settings">
                            @csrf
                            <div class="form-group">
                                <label for="attributeGroups">ویژگی های دسته بندی {{$category->name}}</label>
                                <select name="attributeGroups[]" id="" class="form-control" multiple>
                                    @foreach($attributeGroups as $attributeGroup)
                                        <option value="{{$attributeGroup->id}}" @if(in_array($attributeGroup->id, $category->attributeGroups->pluck('id')->toArray())) selected @endif>{{$attributeGroup->title}}</option>
                                    @endforeach
                                </select>
                            </div>
                            <div class="form-group">
                                <input type="submit" class="btn btn-info btn-block" value="ذخیره">
                            </div>
                        </form>
                    </div>
                </div>
    </section>

@endsection

resources/views/admin/categories/index.blade.php
@extends('admin.layouts.master')

@section('title')
    دسته بندی ها
@endsection

@section('content')


<div class="container-fluid">
    <div class="alert alert-secondary d-block p-1 m-0 shadow">
        <div class="pr-1">
            <span><a class="span-link text-muted" href="{{url('/administrator/dashboard')}}">داشبورد</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{url('/administrator/products')}}">محصولات</a></span><span class="font-size-25 text-muted">/</span>
            <span><a class="span-link text-muted" href="{{url('/administrator/categories')}}">دسته بندی ها</a></span>
        </div>
    </div>
    <br>
    <div class="row">
        <div class="col-md-12">
            <div class="h4 text-center align-items-center">
                <span class="text-center">دسته بندی ها</span>
                <span class="float-left">
                    <a href="{{route('categories.create')}}" class="btn btn-lg btn-info text-white">
                        <i class="fas fa-plus fa-lg pl-2"></i>
                        <span>جدید</span>
                    </a>
                </span>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12 m-auto pt-3">

            @include('admin.partials.index-success')


                @if(Session::has('error_category'))
                    <div class="alert alert-danger">
                        <div>{{session('error_category')}}</div>
                    </div>
                @endif

                    <table class="table table-active table-striped table-hover shadow">
                        <thead class="thead-light">
                        <tr>
                            <th>شناسه</th>
                            <th>عنوان</th>
                            <th>عملیات</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($categories as $category)
                            <tr>
                                <td>{{$category->id}}</td>
                                <td>{{$category->name}}</td>
                                <td class="custom-control-inline">
                                        <a class="btn btn-warning text-white mx-1" href="{{route('categories.edit', $category->id)}}">ویرایش</a>
                                        <form method="post" action="/administrator/categories/{{$category->id}}">
                                            @csrf
                                            <input type="hidden" name="_method" value="DELETE">
                                            <button type="submit" class="btn btn-danger mx-1">حذف</button>
                                        </form>
                                        <a class="btn btn-primary mx-1" href="{{route('categories.indexSetting', $category->id)}}">تنظیمات</a>
                                </td>
                            </tr>

                            @if(count($category->childrenRecursive) > 0)
                                @include('admin.partials.category_list', ['categories'=>$category->childrenRecursive, 'level'=>1])
                            @endif
                        @endforeach
                        </tbody>
                    </table>
            </div>
    <div class="row">
        <div class="m-auto">
                <span class="align-items-center">
                    {{$categories->links()}}
                </span>
        </div>
    </div>
</div>
@endsection